API Reference for Marketo Engage

Update Program Metadata

POST /rest/asset/v1/program/{id}.json

Updates the target program's metadata. The channel may be updated after creation; doing so keeps Program Settings Channel and the Channel tag in sync, and is rejected if a child campaign uses a Change Program Status flow step. The type may only be set at creation.

Operation ID
updateProgramUsingPOST
Permissions
Read-Write Assets
Request format
application/x-www-form-urlencoded
Returns
ResponseOfProgramResponse

Parameters

Path 1

id integer (int32) required

Request body

application/x-www-form-urlencoded · required · UpdateProgramRequest · 13 properties

Sent as URL-encoded form fields. Object properties are sent as JSON text in their field.

channel string

Channel of the program. The channel must be valid for the program's type. Updating the channel keeps Program Settings Channel and the Channel tag in sync. If a Channel tag is also passed in tags, the channel value takes precedence. The update is rejected with error code 1173 if a child campaign uses a Change Program Status flow step.

costs array of CostRequest

Lists of associated period costs that allow you to append, replace, or delete. To append new costs, simply add them to costs array. To replace costs (destructive update), pass new costs and set costsDestructiveUpdate to true. To delete costs, do not pass costs parameter and set costsDestructiveUpdate to true

Model CostRequest

cost integer (int32) required

Amount of the cost

note string

Notes on the cost

startDate string (date-time) required

Start date of the period cost

costsDestructiveUpdate boolean

Set true to destroy existing costs and replace them with the specified costs

description string

Updated description for the program

endDate string

End date of the program. Applicable to event, email, and webinar type programs

name string

Name of the program

startDate string

Start date of program. Applicable to event, email and webinar type programs

tags array of TagRequest

List of associated program tags

Model TagRequest

tagType string

Type of program tag

tagValue string

Value of the tag

Responses

200 OK ResponseOfProgramResponse
errors array of Error

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string
result array of ProgramResponse

Model ProgramResponse

channel string required

Channel of the program

costs array of Costs required

Lists of associated period costs

Model Costs

cost integer (int32) required

Amount of the cost

note string

Notes on the cost

startDate string (date-time) required

Start date of the period cost

createdAt string (date-time)

Datetime the asset was created

description string

Description of the asset

endDate string (date-time)

End date of the program. Applicable to event, email, and webinar type programs

folder Folder required

JSON representation of parent folder, with members 'id', and 'type' which may be 'Folder' or 'Program'

Model Folder

id integer (int32) required

Id of the folder

type string required

Type of folder

Values Folder Program

id integer (int64)

Id of the asset

name string

Name of the asset

sfdcId string

SFDC id of the program if linked to an SFDC campaign

sfdcName string

Name of the linked SFDC campaign if applicable

startDate string (date-time)

Start date of program. Applicable to event, email and webinar type programs

status string required

Status of the program. Only valid for Email and engagement program types.

Values locked unlocked on off

tags array of Tags required

List of associated program tags

Model Tags

tagType string required

Name of the tag

tagValue string required

Value of the tag

type string required

Type of the program

Values default event webinar nurture

updatedAt string (date-time)

Datetime the asset was most recently updated

url string

Url of the asset in the Marketo UI

workspace string

Name of the workspace

success boolean
warnings array of string
Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "channel": "string",
      "costs": [
        {
          "cost": 123,
          "note": "string",
          "startDate": "2026-01-15T10:30:00Z"
        }
      ],
      "createdAt": "2026-01-15T10:30:00Z",
      "description": "string",
      "endDate": "2026-01-15T10:30:00Z",
      "folder": {
        "id": 123,
        "type": "Folder"
      },
      "id": 123,
      "name": "Example name",
      "sfdcId": "123",
      "sfdcName": "Example name",
      "startDate": "2026-01-15T10:30:00Z",
      "status": "locked",
      "tags": [
        {
          "tagType": "string",
          "tagValue": "string"
        }
      ],
      "type": "default",
      "updatedAt": "2026-01-15T10:30:00Z",
      "url": "https://example.com",
      "workspace": "string"
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Generated from swagger-asset.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results